
From: <avvisi@spalletti.it>

Added M6Ne PCI IDs in asus_hides_smbus_hostbridge() function

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/quirks.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/pci/quirks.c~Add-PCI-quirks-for-ASUS-M6Ne-notebook drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~Add-PCI-quirks-for-ASUS-M6Ne-notebook	2004-11-29 23:18:52.557950392 -0800
+++ 25-akpm/drivers/pci/quirks.c	2004-11-29 23:19:07.712646528 -0800
@@ -772,6 +772,11 @@ static void __init asus_hides_smbus_host
 			case 0x1751: /* M2N notebook */
 				asus_hides_smbus = 1;
 			}
+		if (dev->device == PCI_DEVICE_ID_INTEL_82855PM_HB)
+			switch (dev->subsystem_device) {
+			case 0x186a: /* M6Ne notebook */
+				asus_hides_smbus = 1;
+			}
 	} else if (unlikely(dev->subsystem_vendor == PCI_VENDOR_ID_HP)) {
 		if (dev->device ==  PCI_DEVICE_ID_INTEL_82855PM_HB)
 			switch(dev->subsystem_device) {
_
